# Formatting
## 1.1 General
maximal 80-100 letters in one line

## 1.2 Arrays
    String[] array = new String[]{"1", "2", "3", "4"}

or

    String[] array = new String[]{
        "1",
        "2", 
        "3", 
        "4"
    }

# 2 Naming
## 2.1 General
Names should only include ASCII letters and digits and should never begin with a digit.
All names should _ALWAYS_ be in english

## 2.2 Class names
Class names are written in UpperCamelCase

## 2.3 Method names
Class names are written in lowerCamelCase.
They are often verbs describing the function of the method e.g. _startProcess_ or _log_

## 2.4 Constant names
Constant names are written in UPPER_CASE